using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Disguise : MonoBehaviour
{
	public GameObject disguiseAs;

	void OnFire(Entity owner) {
		Item item = Game.game.inventoryDatabase.Find(gameObject.name);

		owner = owner.Undisguise();
		owner.RemoveItem(item);
		Game.DropObject(owner.gameObject, item.gameObject);
	}

	void OnUseObject(Entity who) {
		Item item = Game.game.inventoryDatabase.Find(gameObject.name);

		who.Award(item, 1);
		Destroy(gameObject);
	}
}
